Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms
Class DefaultGetFeatureInfoHandler

    java.lang.Object
      org.deegree.ogcwebservices.wms.DefaultGetFeatureInfoHandler

All Implemented Interfaces:
  GetFeatureInfoHandler

     class DefaultGetFeatureInfoHandler

extends Object
implements GetFeatureInfoHandler

Version:
  $Revision: 24806 $, 1.0. $Revision: 24806 $, $Date: 2010-06-09 16:41:16 +0200 (Mi, 09. Jun 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Nested Class Summary
`class` | `DefaultGetFeatureInfoHandler.ServiceInvoker` Inner class for accessing the data of one layer and creating a GML document from it.

Field Summary
`protected WMSConfigurationType` | `configuration`
`protected GetMap` | `getMapRequest`
`protected static ILogger` | `LOG`
`protected CoordinateSystem` | `reqCRS`
`protected GetFeatureInfo` | `request`
`protected double` | `scale`
`protected static QualifiedName` | `VALUE`

Constructor Summary
`DefaultGetFeatureInfoHandler(WMSConfigurationType capabilities, GetFeatureInfo request)` Creates a new GetMapHandler object.

Method Summary
`GetFeatureInfoResult` | `performGetFeatureInfo()` performs a GetFeatureInfo request and retruns the result encapsulated within a `WMSFeatureInfoResponse` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    protected static final ILogger LOG

### request

    protected GetFeatureInfo request

### getMapRequest

    protected GetMap getMapRequest

### configuration

    protected WMSConfigurationType configuration

### scale

    protected double scale

### reqCRS

    protected CoordinateSystem reqCRS

### VALUE

    protected static final QualifiedName VALUE

Constructor Detail

### DefaultGetFeatureInfoHandler

    public DefaultGetFeatureInfoHandler(WMSConfigurationType capabilities,
                                        GetFeatureInfo request)
                                 throws OGCWebServiceException

  Creates a new GetMapHandler object.

  Parameters:
    `capabilities` -
    `request` - request to perform
  Throws:
    `OGCWebServiceException`

Method Detail

### performGetFeatureInfo

    public GetFeatureInfoResult performGetFeatureInfo()
                                               throws OGCWebServiceException

  performs a GetFeatureInfo request and retruns the result encapsulated within a `WMSFeatureInfoResponse` object.

  The method throws an WebServiceException that only shall be thrown if an fatal error occurs that makes it imposible to return a result. If something wents wrong performing the request (none fatal error) The exception shall be encapsulated within the response object to be returned to the client as requested (GetFeatureInfo-Request EXCEPTION-Parameter).

  All sublayers of the queried layer will be added automatically. Non-queryable sublayers are then ignored in the response.

  Specified by:
    `performGetFeatureInfo` in interface `GetFeatureInfoHandler`
  Returns:
    response to the GetFeatureInfo response
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org